MP4(3)

NAME

MP4GetSampleIdFromEditTime - Get the sample id of a specified time in the edit list timeline

SYNTAX

#include <mp4.h>

MP4SampleId MP4GetSampleIdFromEditTime(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4Timestamp when,
    MP4Timestamp* pStartTime = NULL,
    MP4Duration* pDuration = NULL
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

when
    Specifies the time in the track time scale that is desired.

pStartTime
    If non-NULL, pointer to variable that will receive the starting timestamp for this sample. Caveat: The timestamp is in the track edit list timescale.

pDuration
    If non-NULL, pointer to variable that will receive the duration for this sample in the edit list timeline. Caveat: The duration is in the track timescale units.

RETURN VALUES

Upon success, the sample id that occurs at the specified time. Upon an error, MP4_INVALID_SAMPLE_ID.

DESCRIPTION

MP4GetSampleIdFromEditTime returns the sample id of the track sample in which the specified time occurs in the edit list timeline.

The specified time should be in the track time scale. See MP4ConvertToTrackTimestamp() for how to map a time value to this time scale.

Since the edit list can cause the sample start time and duration to be different that it in the standard track timeline, it is strongly advised that the caller retrieve the new sample start time and duration via this function.

SEE ALSO

MP4(3) MP4GetSampleIdFromTime(3)